# Resolve rpmlint warning: private-shared-object-provides
%{?filter_setup:
%filter_provides_in %{python2_sitearch}/%{name}/.*\.so$
%filter_provides_in %{python3_sitearch}/%{name}/.*\.so$
%filter_setup
}

%define srcname signalfd

Name:           python-signalfd
Version:        0.1
Release:        19%{?dist}
Summary:        Python bindings to the Linux signalfd library/system call
Group:          Development/Languages
License:        MIT
URL:            https://launchpad.net/python-signalfd
Source0:        http://launchpad.net/%{name}/0.x/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:  gcc

%description
The python-signalfd package is a simple wrapper around the POSIX sigprocmask(2)
and the Linux signalfd(2) platform APIs, providing very direct access to them.

%package -n python2-%{srcname}
Summary:  %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The python-signalfd package is a simple wrapper around the POSIX sigprocmask(2)
and the Linux signalfd(2) platform APIs, providing very direct access to them.

This is the python2 version of the module.

%package -n python3-%{srcname}
Summary:  %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The python-signalfd package is a simple wrapper around the POSIX sigprocmask(2)
and the Linux signalfd(2) platform APIs, providing very direct access to them.

This is the python3 version of the module.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%{python2_sitearch}/signalfd
%{python2_sitearch}/*egg-info

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitearch}/signalfd
%{python3_sitearch}/*egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1-18
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.1-14
- Rebuild due to bug in RPM (RHBZ #1468476)

* Wed May 24 2017 Dominika Krejci <dkrejci@redhat.com> - 0.1-13
- Provide a Python 3 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-7
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 17 2011 James Laska<jlaska@redhat.com> - 0.1-1
- Initial packaging
